org.eclipse.graphiti.ui.internal.util

## Class ReflectionUtil

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.util.ReflectionUtil

    public class ReflectionUtil
    extends java.lang.Object

In this class, we combine all reflection code introduced to make Graphiti run in a lean RCP setup, that is, for instance without org.eclipse.ui.ide installed. An alternative would be to use extension points which seems to be rather heavy-weight.

### Constructor Summary

Constructors
Constructor and Description
`ReflectionUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IFile` `getFile(java.lang.Object input)` Typical scenario: input instance of IFileEditorInput We don't want to depend on that interface, as it resides in org.eclipse.ui.ide.
`static Transfer` `getResourceTransfer()` ResourceTransfer resides in org.eclipse.ui.ide.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReflectionUtil

    public ReflectionUtil()

### Method Detail

#### getFile

    public static IFile getFile(java.lang.Object input)

Typical scenario: input instance of IFileEditorInput We don't want to depend on that interface, as it resides in org.eclipse.ui.ide. We need to support an RCP scenario without having this plug-in installed.

#### getResourceTransfer

    public static Transfer getResourceTransfer()

ResourceTransfer resides in org.eclipse.ui.ide. We need to support an RCP scenario without having this plug-in installed. Therefore ashamed we use dynamic class-loading and reflection.